package com.inspect.guideline.mapper;

import com.inspect.guideline.domain.PatrolGuideline;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolGuidelineMapper {
    PatrolGuideline selectPatrolGuidelineByGuidelineId(Long guideId);

    List<PatrolGuideline> selectPatrolGuidelineList(PatrolGuideline guideline);

    int insertPatrolGuideline(PatrolGuideline guideline);

    int updatePatrolGuideline(PatrolGuideline guideline);

    int deletePatrolGuidelineByGuidelineId(Long guideId);

    int deletePatrolGuidelineByGuidelineIds(Long[] guideIds);
}
